[Rainmeter]
Author=wasek
Update=1000

[Variables]
Player=AIMP
music=D:\Музыка\

[style]
FontFace=Micra
FontSize=10
StringStyle=BOLD
FontColor=206,231,249,255
AntiAlias=1
ClipString=1

[mPlayer]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=#Player#
PlayerType=TITLE
PlayerPath=
DisableLeadingZero=0
Substitute="":"N\A"
IfEqualValue=1
IfEqualAction=!Execute [!RainmeterShowMeter ErrorMessage][!RainmeterRedraw]

[mArtist]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=[mPlayer]
PlayerType=ARTIST
Substitute="":"N\A"

[mAlbum]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=[mPlayer]
PlayerType=ALBUM
Substitute="":"N\A"

[mCover]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=[mPlayer]
PlayerType=COVER
Substitute="":"Default.png"

[mPosition]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=[mPlayer]
PlayerType=POSITION

[mDuration]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=[mPlayer]
PlayerType=DURATION

[mProgress]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=[mPlayer]
PlayerType=PROGRESS

[mVolume]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=[mPlayer]
PlayerType=VOLUME

[mStateButton]
Measure=Plugin
Plugin=NowPlaying.dll
PlayerName=[mPlayer]
PlayerType=STATE
Substitute="0":"Play.png","1":"Pause.png","2":"Play.png"

[Background]
Meter=IMAGE
ImageName=Player.Png
X=0
Y=0
ImageAlpha=100
Group=skins
Hidden=0

[Cover]
Meter=IMAGE
MeasureName=mCover
X=5
Y=5
W=93
H=93
Group=skins
Hidden=0

[Background4]
Meter=IMAGE
SolidColor=17,145,198,1
X=5
Y=104
W=337
H=20
MouseOverAction=!Execute [!RainmeterShowMeterGroup Set][!RainmeterHideMeterGroup Stat][!RainmeterRedraw]
MouseLeaveAction=!Execute [!RainmeterHideMeterGroup Set][!RainmeterShowMeterGroup Stat][!RainmeterRedraw]
Group=skins
Hidden=0

[Setting]
Meter=STRING
X=175
Y=110
W=255
H=14
MeterStyle=style
StringAlign=Center
Text="Control player"
Group=Stat 
Hidden=0

[Artist]
Meter=STRING
MeasureName=mArtist
X=223
Y=15
W=245
H=14
MeterStyle=style
StringAlign=Center
Text="%1"
Group=skins
Hidden=0

[Album]
Meter=STRING
MeasureName=mAlbum
X=0r
Y=15r
W=245
H=14
StringAlign=Center
MeterStyle=style
Text="%1"
Group=skins
Hidden=0

[Track]
Meter=STRING
MeasureName=mPlayer
X=0r
Y=15r
W=245
H=14
StringAlign=Center
MeterStyle=style
Text="%1"
Group=skins
Hidden=0

[ProgressBar]
Meter=BAR
MeasureName=mProgress
X=15
Y=129
W=325
H=4
BarColor=255,0,0,150
BarOrientation=HORIZONTAL
Group=skins
Hidden=0

[Time]
Meter=STRING
MeasureName=mPosition
MeasureName2=mDuration
X=225
Y=80
W=140
H=15
StringAlign=Center
MeterStyle=style
Text="%1 / %2"
FontSize=9
Group=Set
Hidden=1

[Previous]
Meter=BUTTON
ButtonImage=Previous.png
X=55
Y=107
LeftMouseUpAction=!Execute [!RainmeterPluginBang "mPlayer Previous"]
Group=Set
Hidden=1

[Play]
Meter=BUTTON
ButtonImage=[mStateButton]
X=20r
Y=0r
LeftMouseUpAction=!Execute [!RainmeterPluginBang "mPlayer PlayPause"]
DynamicVariables=1
Group=Set
Hidden=1

[Next]
Meter=BUTTON
ButtonImage=Next.png
X=20r
Y=1r
LeftMouseUpAction=!Execute [!RainmeterPluginBang "mPlayer Next"]
Group=Set
Hidden=1

[Stop]
Meter=BUTTON
ButtonImage=Stop.png
X=20r
Y=-1r
LeftMouseUpAction=!Execute [!RainmeterPluginBang "mPlayer Stop"]
Group=Set
Hidden=1

[Volume]
Meter=IMAGE
ImageName=Volume.png
X=25r
Y=0r
Group=Set
Hidden=1

[VolumeText]
Meter=STRING
MeasureName=mVolume
X=11r
Y=3r
W=45
H=16
MeterStyle=style
FontSize=6
Text="%1%"
Group=Set
Hidden=1

[VolumeUp]
Meter=BUTTON
ButtonImage=VolumeUp.png
X=25r
Y=-5r
LeftMouseUpAction=!Execute [!RainmeterPluginBang "mPlayer SetVolume +10"]
Group=Set
Hidden=1

[VolumeDown]
Meter=BUTTON
ButtonImage=VolumeDown.png
X=0r
Y=8r
LeftMouseUpAction=!Execute [!RainmeterPluginBang "mPlayer SetVolume -10"]
Group=Set
Hidden=1

[OpenPlayer]
Meter=BUTTON
ButtonImage=Open.png
X=20r
Y=107
;ToolTipText="Open Media Player"
LeftMouseUpAction=!Execute [!RainmeterPluginBang "mPlayer OpenPlayer"]
Group=Set
Hidden=1

[ClosePlayer]
Meter=BUTTON
ButtonImage=Close.png
X=20r
Y=107
;ToolTipText="Close Media Player"
LeftMouseUpAction=!Execute [!RainmeterPluginBang "mPlayer ClosePlayer"]
Group=Set
Hidden=1

[Open]
Meter=Image
SolidColor=13,181,223,1
X=25r
Y=107
W=60
H=15
LeftMouseUpAction=!Execute ["#music#"][!RainmeterRedraw]
Group=Set
Hidden=1

[OpenText]
Meter=STRING
MeterStyle=style
ClipString=0
X=5r
Y=0r
Text="music"
Group=Set
Hidden=1

; ERROR MESSAGE
[ErrorMessage]
Meter=STRING
X=10
Y=10
W=390
H=125
SolidColor=000000EE
FontColor=FFFFFFFF
MeterStyle=style
Text="#CRLF##CRLF# To use this skin, you must select your media player:#CRLF# - Right-click here and select 'Edit Skin'#CRLF# - Under  [Variables], change the Player= value#CRLF# - Save the file, then right-click here and select 'Refresh Skin'"
Hidden=1

[Progress0]
Meter=IMAGE
SolidColor=0,0,0,1
X=15
Y=129
W=32
H=4
LeftMouseUpAction=!RainmeterPluginBang "mPlayer SetPosition 0"

[Progress1]
Meter=IMAGE
SolidColor=0,0,0,1
X=R
Y=r
W=32
H=4
LeftMouseUpAction=!RainmeterPluginBang "mPlayer SetPosition 10"

[Progress2]
Meter=IMAGE
SolidColor=0,0,0,1
X=R
Y=r
W=32
H=4
LeftMouseUpAction=!RainmeterPluginBang "mPlayer SetPosition 20"

[Progress3]
Meter=IMAGE
SolidColor=0,0,0,1
X=R
Y=r
W=32
H=4
LeftMouseUpAction=!RainmeterPluginBang "mPlayer SetPosition 30"

[Progress4]
Meter=IMAGE
SolidColor=0,0,0,1
X=R
Y=r
W=32
H=4
LeftMouseUpAction=!RainmeterPluginBang "mPlayer SetPosition 40"

[Progress5]
Meter=IMAGE
SolidColor=0,0,0,1
X=R
Y=r
W=32
H=4
LeftMouseUpAction=!RainmeterPluginBang "mPlayer SetPosition 50"

[Progress6]
Meter=IMAGE
SolidColor=0,0,0,1
X=R
Y=r
W=32
H=4
LeftMouseUpAction=!RainmeterPluginBang "mPlayer SetPosition 60"

[Progress7]
Meter=IMAGE
SolidColor=0,0,0,1
X=R
Y=r
W=32
H=4
LeftMouseUpAction=!RainmeterPluginBang "mPlayer SetPosition 70"

[Progress8]
Meter=IMAGE
SolidColor=0,0,0,1
X=R
Y=r
W=32
H=4
LeftMouseUpAction=!RainmeterPluginBang "mPlayer SetPosition 80"

[Progress9]
Meter=IMAGE
SolidColor=0,0,0,1
X=R
Y=r
W=32
H=4
LeftMouseUpAction=!RainmeterPluginBang "mPlayer SetPosition 90"

-----------------------------------


[MeasureAIMPCPU]
Measure=Plugin
Plugin=Perfmon
PerfMonObject="Process"
PerfMonCounter="% Processor Time"
PerfMonInstance=AIMP3

[MeterLine]
Meter=LINE
MeasureName=MeasureAIMPCPU
X=115
Y=65
H=20
W=220 
LineColor=250,2,3,150
AntiAlias=1
AutoScale=1
Group=Stat
Hidden=0

[MeterHist]
Meter=HISTOGRAM 
MeasureName=MeasureAIMPCPU
X=0r
Y=-1r
H=20
W=220
PrimaryColor=250,2,3,50
AntiAlias=1 
AutoScale=1
Group=Stat
Hidden=0


[MeterLine2]
Meter=LINE
MeasureName=MeasureAIMPCPU
X=115
Y=86
H=20
W=220 
LineColor=250,2,3,150
AntiAlias=1
AutoScale=1
Flip=1
Group=Stat
Hidden=0

[MeterHist2]
Meter=HISTOGRAM 
MeasureName=MeasureAIMPCPU
X=0r
Y=-1r
H=20
W=220
PrimaryColor=250,2,3,50
AntiAlias=1 
AutoScale=1
Flip=1
Group=Stat
Hidden=0

[MeterProcess]
Meter=String
MeasureName=MeasureAIMPCPU
X=225
Y=80
W=140
H=15
StringAlign=Center
FontSize=8
MeterStyle=style
Text=Load AIMP %1%
Scale=100000.0
Group=Stat
Hidden=0






